Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
TQuatF Class Reference

`#include <mQuat.h>`

Inheritance diagram for TQuatF:

## Public Types
enum | { Matrix_HasRotation = 1, Matrix_HasTranslation = 2, Matrix_HasScale = 4 }

## Public Member Functions
| TQuatF ()
| TQuatF (bool ident)
| TQuatF (const EulerF &e, const Point3F &p)
| TQuatF (const AngAxisF &aa, const Point3F &p)
| TQuatF (const QuatF &q, const Point3F &p)
TQuatF & | set (const EulerF &euler, const Point3F &p)
TQuatF & | set (const AngAxisF &aa, const Point3F &p)
TQuatF & | set (const QuatF &quat, const Point3F &p)
TQuatF & | inverse (void)
TQuatF & | identity (void)
Point3F & | mulP (const Point3F &p, Point3F *r)
Public Member Functions inherited from QuatF
| QuatF ()
| QuatF (F32 _x, F32 _y, F32 _z, F32 w)
| QuatF (const MatrixF &m)
| QuatF (const AngAxisF &a)
| QuatF (const EulerF &e)
QuatF & | set (F32 _x, F32 _y, F32 _z, F32 _w)
QuatF & | set (const MatrixF &m)
QuatF & | set (const AngAxisF &m)
QuatF & | set (const EulerF &e)
int | operator== (const QuatF &c) const
int | operator!= (const QuatF &c) const
QuatF & | operator*= (const QuatF &c)
QuatF & | operator/= (const QuatF &c)
QuatF & | operator+= (const QuatF &c)
QuatF & | operator-= (const QuatF &c)
QuatF & | operator*= (F32 a)
QuatF & | operator/= (F32 a)
QuatF & | square ()
QuatF & | neg ()
F32 | dot (const QuatF &q) const
MatrixF * | setMatrix (MatrixF *mat) const
QuatF & | normalize ()
QuatF & | inverse ()
QuatF & | identity ()
int | isIdentity () const
QuatF & | slerp (const QuatF &q, F32 t)
QuatF & | extrapolate (const QuatF &q1, const QuatF &q2, F32 t)
QuatF & | interpolate (const QuatF &q1, const QuatF &q2, F32 t)
F32 | angleBetween (const QuatF &q)
Point3F & | mulP (const Point3F &a, Point3F *b)
QuatF & | mul (const QuatF &a, const QuatF &b)

## Public Attributes
Point3F | p
U32 | flags
Public Attributes inherited from QuatF
F32 | x
F32 | y
F32 | z
F32 | w

## Member Enumeration Documentation

anonymous enum

Enumerator
Matrix_HasRotation |
Matrix_HasTranslation |
Matrix_HasScale |

## Constructor & Destructor Documentation

TQuatF | ( |  | ) |
| inline

TQuatF | ( | bool | ident | ) |
| inline

TQuatF | ( | const EulerF & | e,
|  | const Point3F & | p
| ) |  |
| inline

TQuatF | ( | const AngAxisF & | aa,
|  | const Point3F & | p
| ) |  |
| inline

TQuatF | ( | const QuatF & | q,
|  | const Point3F & | p
| ) |  |
| inline

## Member Function Documentation

TQuatF & identity | ( | void |  | ) |
| inline

TQuatF & inverse | ( | void |  | ) |
| inline

Point3F & mulP | ( | const Point3F & | p,
|  | Point3F * | r
| ) |  |

TQuatF & set | ( | const EulerF & | euler,
|  | const Point3F & | p
| ) |  |
| inline

TQuatF & set | ( | const AngAxisF & | aa,
|  | const Point3F & | p
| ) |  |
| inline

TQuatF & set | ( | const QuatF & | quat,
|  | const Point3F & | p
| ) |  |
| inline

## Member Data Documentation

U32 flags

Point3F p

The documentation for this class was generated from the following files:

- math/mQuat.h
- math/mQuat.cc